<?php
/**
 * Controller to handling deleting listing process
 *
 * @package wp-es survey-master
 * @author InstaProduct
 * @link http://insta-product.com/
 */

if ( ! class_exists( 'ES_SURVEY_Ajax_Delete_listing' ))
{
  class ES_SURVEY_Ajax_Delete_listing
  {
    /**
     * Execution save options process
     *
     * @return void
     */
    public function exec()
    {
	  global $wpdb;
	  
	  $table_questions       = $wpdb->prefix . 'ES_SURVEY_questions';
	  $table_answers         = $wpdb->prefix . 'ES_SURVEY_answers';
       		
      $item = false;
      if ( ! empty( $_REQUEST['id'] )) {
        $id   = absint( $_REQUEST['id'] );
        $item = get_post( $id );
      }
      if ( ! $item ) {
        echo json_encode( array(
          'status'   => 0,
          'message'  => __( 'Error system', ES_SURVEY_SLUG )
        ) );
        die();
      }
      $result = wp_delete_post( $item->ID, true );
	  if ( $result ) {
		//Delete Questions
		
		$sqlQuestions = $wpdb->prepare( "SELECT * FROM {$table_questions} WHERE ES_SURVEY_id=%d  ", $item->ID );
		$resultsQuestions = $wpdb->get_results( $sqlQuestions );

		if(  $resultsQuestions ) {
			foreach( $resultsQuestions as $rowQuestion )
			{
				//Delete Question
				$wpdb->delete( $table_questions , array( 'ES_SURVEY_id' => $item->ID ) );
				//Delete Answer
				$wpdb->delete( $table_answers , array( 'question_id' => $rowQuestion->id ) );				
			}
		}		  
        echo json_encode( array(
          'status'   => 1,
          'message'  => __( 'ES Survey successfully deleted', ES_SURVEY_SLUG ),
          'redirect' => admin_url() . 'admin.php?page=' . ES_SURVEY_PAGENAME . '&delete=1'
        ) );
      } else {
        echo json_encode( array(
          'status'  => 0,
          'message' => __( 'Failed to remove the es survey', ES_SURVEY_SLUG )
        ) );
      }
      die();
    }
  }
}