<?php
/**
 * Controller to handling updating listing process
 *
 * @package wp-es survey-master
 * @author InstaProduct
 * @link http://insta-product.com/
 */

if ( ! class_exists( 'ES_SURVEY_Ajax_Update_listing' ))
{
	class ES_SURVEY_Ajax_Update_listing
	{
		/**
		 * Execution save options process
		 *
		 * @return void
		 */
		public function exec()
		{
			$redirect = false;
			$is_add   = false;
			$error    = true;
			$validation_error = false;
			
			if ( ! empty( $_POST['isadd'] )) {
					$is_add = true;
			}
			if (  empty( $_POST['list_name'] ) || $_POST['list_name']=='') {
				$validation_message = "Please enter survey name";	
				$validation_error = true;
			}
			if ( $validation_error ) {
					$status   = 0;
					$listesId = 0;
					$result = array(
							'status'    => $status,
							'message'   => $validation_message,
							'listingid'  	=> $listesId
					);
					echo json_encode( $result );
					die();					
			} 

			
			
			if ( ! empty( $_POST['listing_id'] )) {
					$listesId = absint( $_POST['listing_id'] );
					//Validate Bucket Question
					$validation_error = false;
					$validation_message = $this->validate_question(5);
					if (  !empty( $validation_message) && $validation_message != '') {
						$validation_error = true;
					}
					if ( $validation_error ) {
							$status   = 0;
							$listesId = 0;
							$result = array(
									'status'    => $status,
									'message'   => $validation_message,
									'listingid'  	=> $listesId
							);
							echo json_encode( $result );
							die();					
					} 
					if ( $listes = get_post( $listesId ) ) {
							$this->_updateBoxes( $listes );
							//Update No of question 
							update_post_meta( $listesId, '_no_of_questions', $_POST[ 'no_of_questions' ] );
							//Save Question
							$this->save_questions( $listesId );
							//Save Setting
							foreach ( ES_SURVEY_List_Boxes::$fields as $field ) {
								if ( isset( $_POST[ $field['id'] ] ) ) {
									switch ( $field['type'] ) {
										case 'email':
											$_POST[ $field['id'] ] = sanitize_email( $_POST[ $field['id'] ] );
											break;
										case 'text':
											$_POST[ $field['id'] ] = sanitize_text_field( $_POST[ $field['id'] ] );
											break;
									}
									update_post_meta( $listesId, 'ES_SURVEY_options_' . $field['id'], $_POST[ $field['id'] ] );
								} else if ( $field['type'] === 'checkbox' ) {
									update_post_meta( $listesId, 'ES_SURVEY_options_' . $field['id'], '0' );
								}
							}
					} else {
							$listesId = 0;
					}
			} else {
					$listesId = $this->_addBoxes();
			}
			if ( $listesId )
			{
					//Update Status
					$error = false;
					
					//$model = new ES_SURVEY_Model();
					//$model->saveSetting( $listesId );
			}
			if ( $error ) {
					$status   = 0;
					$listesId  = 0;
					if ( $is_add ) {
							$message = __( 'Failed create es survey.', ES_SURVEY_SLUG );
					} else {
							$message = __( 'Failed save es survey.', ES_SURVEY_SLUG );
					}
			} else {
					$status = 1;
					if ( $is_add ) {
							$message  = __( 'Successfully created es survey.', ES_SURVEY_SLUG );
							$redirect = admin_url() . 'admin.php?page=' . ES_SURVEY_PAGENAME . '&action=edit&id=' . $listesId . '&create=1';
							//$redirect = admin_url() . 'admin.php?page=' . ES_SURVEY_PAGENAME;
					} else {
							$message = __( 'Successfully saved es survey.', ES_SURVEY_SLUG );
					}
			}

			$result = array(
					'status'    => $status,
					'message'   => $message,
					'listingid'  	=> $listesId
			);
			if ( $redirect ) {
					$result['redirect'] = $redirect;
			}
			echo json_encode( $result );
			die();
		}

		/**
		 * Add new listing
		 *
		 * @return int
		 */
		protected function _addBoxes()
		{
			global $user_ID;

			$post_content = '';
			if ( empty( $_POST['list_name'] )) {
					$title = 'Unknown';
			} else {
					$title = apply_filters( 'single_post_title', $_POST['list_name'] );
			}
			if ( ! empty( $_POST['status'] ) && $_POST['status']  == "true") {
					$post_status = "publish";
			}
			else
			{
				$post_status = "draft";
			}
			if ( isset( $_POST['survey-description'] ) ) {
					$post_content = $_POST['survey-description'];
			}
			$dataPost = array(
				'post_status'  => $post_status,
				'post_type'    => 'smart-survey',
				'post_author'  => $user_ID,
				'post_title'   => $title,
				'post_content' => $post_content,
			);
			
			$result = wp_insert_post( $dataPost );
			return $result;
		}

		/**
		 * Update listing
		 *
		 * @param  object $listes
		 * @return boolean
		 */
		protected function _updateBoxes( $listes )
		{
			$result   = 0;
			$dataPost = array();
			if ( ! empty( $_POST['list_name'] ) && $_POST['list_name'] != $listes->post_title ) {
					$dataPost['post_title'] = apply_filters( 'single_post_title', $_POST['list_name'] );
			}
			if ( ! empty( $_POST['survey-description'] ) ) {
					$dataPost['post_content'] =  $_POST['survey-description'];
			}
			if ( ! empty( $_POST['status'] ) && $_POST['status']  == "true") {
					//$dataPost['post_status'] = "publish";
			}
			else
			{
				//$dataPost['post_status'] = "draft";
			}
			if ( ! empty( $dataPost )) {
					$dataPost['ID'] = $listes->ID;
					$result = wp_update_post( $dataPost );
			}
			return $result;
		}
	
	protected function prepare_post_data( $data ){
		// Do not preparing objects or arrays	
		if( is_object( $data ) || is_array( $data ) )
			return $data;
		
		if ( isset( $data  ) )
		{
			$data = trim( $data );
			$data = stripslashes( $data );
		}
		return $data;
	}	
	protected function save_questions( $survey_id ) {
        
		global $wpdb;
		
		$noQuestions = 5;
		$noAnswers = 6;
		
		$table_questions       = $wpdb->prefix . 'ES_SURVEY_questions';
		$table_answers         = $wpdb->prefix . 'ES_SURVEY_answers';
        // Saving Question
        for ( $q_no = 1; $q_no <= $noQuestions ; $q_no++ ):
            
			if (1 || isset( $_POST['question'.$q_no.'-question'] ) && $_POST['question'.$q_no.'-question']!=''  )
			{
			    $question = $this->prepare_post_data( $_POST['question'.$q_no.'-question'] );
				$sub_heading = $this->prepare_post_data( $_POST['question'.$q_no.'-subheadline'] );
				$display = $this->prepare_post_data( $_POST['question'.$q_no.'-display'] );
				//$question_id = !empty( $_POST['question'.$q_no.'-id'] ) ? $_POST['question'.$q_no.'-id'] : '' ; 
				
				$question_no = $q_no;
				
				$sqlQuestionExists = $wpdb->prepare( "SELECT * FROM {$table_questions} WHERE ES_SURVEY_id=%d AND question_no =%d", $survey_id , $question_no );
				$resultsQuestionExists = $wpdb->get_row( $sqlQuestionExists );
		
				if(  $resultsQuestionExists  && isset( $resultsQuestionExists->id ) ) {
					
					$question_id = $resultsQuestionExists->id;
					$wpdb->update(
						$table_questions,
						array(
							'question' => $question,
							'sub_heading' => $sub_heading,
							'display'     => $display,
							//'question_no'     => $question_no
						),
						array(
							'id' => $question_id
						)
					);
				}
				else
				{
					// Adding new question
					$wpdb->insert(
						$table_questions,
						array(
							'ES_SURVEY_id' => $survey_id,
							'question'     => $question,
							'sub_heading' => $sub_heading,
							'display'         => $display,
							'question_no'         => $question_no
						)
					);
					$question_id  = $wpdb->insert_id;
				}
				
            	for( $ans_no = 1 ;  $ans_no <= $noAnswers;  $ans_no++ )
				{
					$this->save_answers($question_id, $q_no , $ans_no );
				}
			}
		endfor;

    }
	
	protected function save_answers( $question_id, $q_no , $ans_no )
	{
		global $wpdb;
		
		$table_questions       = $wpdb->prefix . 'ES_SURVEY_questions';
		$table_answers         = $wpdb->prefix . 'ES_SURVEY_answers';
        
		 /* * Saving answers */
		if ( 1 || isset( $_POST['question'.$q_no.'-answer'.$ans_no.'-text'] ) && $_POST['question'.$q_no.'-answer'.$ans_no.'-text']!=''  )
		{
			$answer_text = $this->prepare_post_data( $_POST['question'.$q_no.'-answer'.$ans_no.'-text'] );
			$sub_text = $this->prepare_post_data( $_POST['question'.$q_no.'-answer'.$ans_no.'-subtext'] );
			$image_url = $this->prepare_post_data( $_POST['question'.$q_no.'-answer'.$ans_no.'-image'] );
			$redirect_url = $this->prepare_post_data( $_POST['question'.$q_no.'-answer'.$ans_no.'-redirectURL'] );
			$survey_connect_id = $this->prepare_post_data( $_POST['question'.$q_no.'-answer'.$ans_no.'-connectedSurvey'] );			
			$image_attachment_id = $this->prepare_post_data( $_POST['question'.$q_no.'-answer'.$ans_no.'-image_attachment_id'] );			
			$answer_no = $ans_no;
			
			//Check ANswer Exits
			$sqlAnswerExists = $wpdb->prepare( "SELECT * FROM {$table_answers} WHERE question_id=%d AND answer_no =%d", $question_id , $ans_no );
			$resultsAnswerExists = $wpdb->get_row( $sqlAnswerExists );
		
			if(  $resultsAnswerExists  && isset( $resultsAnswerExists->id ) ):
				$answer_id = $resultsAnswerExists->id;
				$wpdb->update(
					$table_answers,
					array(
						'answer'  => $answer_text,
						'answer'  => $answer_text,
						'sub_text'  => $sub_text,
						'answer_no'  => $answer_no,
						'image_url' => $image_url,
						'redirect_url'  => $redirect_url,
						'survey_connect_id' => $survey_connect_id,
						'image_attachment_id' => $image_attachment_id
					),
					array(
						'id' => $answer_id
					)
				);
			else:
				$wpdb->insert(
					$table_answers,
					array(
						'question_id' => $question_id,
						'answer'  => $answer_text,
						'sub_text'  => $sub_text,
						'answer_no'  => $answer_no,
						'image_url' => $image_url,
						'redirect_url'  => $redirect_url,
						'survey_connect_id' => $survey_connect_id,
						'image_attachment_id' => $image_attachment_id
					)
				);
				$answer_id = $wpdb->insert_id;				
			endif;
			return $answer_id;	
		}
		return false;
   }
   
   protected function validate_question( $question_no = NULL )
   {
	   if(!$question_no) return false;
	   
	   $res_text = $question_no ;
	   if($question_no == 5 )
	   {
		   $res_text = "bucket" ;
	   }
	   if ( ! isset( $_POST['question'.$question_no.'-question'] ) ||  $_POST['question'.$question_no.'-question'] ==''  )
	   {
		   $validation_message = "Please enter ".$res_text." question";
		   return $validation_message;
	   }
	   $has_answer = false;
	   for( $i = 1; $i<=6 ; $i++)
	   {
		   if ( isset( $_POST['question'.$question_no.'-answer'.$i.'-text'] ) && $_POST['question'.$question_no.'-answer'.$i.'-text']!=''  )
		   {
			   $has_answer = true;
			   return $validation_message;
		   }
	   }
	   if( $has_answer == false )
	   {
	   		$validation_message = "Please enter al least one answer of ".$res_text." question";
	   		return $validation_message;
	   }
	   return false;
   }

 } //End Class

}
