<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

class ES_SURVEY_Front_Form {

	public $id;

	public $title;

	public $elements = array();
	
	public $bucket_elements = array();
	
	public $has_connect_survey = false;

	public $splitter_count = 0;

	public function __construct( $id = NULL ) {
        
		if ( NULL != $id ) {
			$this->populate( $id );
		}
		$this->bucket_elements = $this->get_bucket_elements();
		
		//if Bucket Question has connect survey
		if(isset( $this->bucket_elements ) && isset( $this->bucket_elements[0]->answers) && is_array( $this->bucket_elements[0]->answers))
		{
			$answers =  $this->bucket_elements[0]->answers;
			foreach($answers as $keya => $keyv)
			{
				if( $keyv->survey_connect_id > 0 ):
				$this->has_connect_survey = true;
				endif;
			}
		}
	}

	/**
	 * Populating class variables
	 * 
	 * @param int $id The id of the form
	 * @since 1.0.0
	 */
	private function populate( $id ) {

		$this->elements = array();
		
		$this->bucket_elements = array();
		
		$form = get_post( $id );

		$this->id    = $id;
		$this->title = $form->post_title;

		$this->elements = $this->get_elements();
		
	}

	/**
	 * Getting all element objects
	 * 
	 * @param int $id The id of the form
	 * @return array $elements All element objects of the form
	 * @since 1.0.0
	 */
	public function get_elements( $id = NULL ) {

		global $ES_SURVEY_global, $wpdb;
		$table_questions       = $wpdb->prefix . 'ES_SURVEY_questions';
	  	$table_answers         = $wpdb->prefix . 'ES_SURVEY_answers';
      

		if ( NULL == $id ) {
			$id = $this->id;
		}

		if ( '' == $id ) {
			return FALSE;
		}

		$sql     = $wpdb->prepare(
			"SELECT * FROM {$table_questions} WHERE ES_SURVEY_id = %s AND question_no < 5 ORDER BY question_no ASC", $id
		);
		$results = $wpdb->get_results( $sql );

		$elements = array();

		// Running all elements which have been found
		if ( is_array( $results ) ):
			foreach ( $results AS $result ):
				if ( isset($result) && isset($result->question) && $result->question!='' && class_exists( 'ES_SURVEY_QuestionElement' ) ):
					$class       = 'ES_SURVEY_QuestionElement';
					$object      = new $class( $result->id );
					$elements[ ] = $object; // Adding element
					//echo $result->id;
					//if ( $object->splits_form ):
						$this->splitter_count ++;
					//endif;
				else:
					// If class do not exist -> Put in Error message here
				endif;
			endforeach;
		endif;
		return $elements;
	}
	public function get_bucket_elements( $id = NULL ) {

		global $ES_SURVEY_global, $wpdb;
		$table_questions       = $wpdb->prefix . 'ES_SURVEY_questions';
	  	$table_answers         = $wpdb->prefix . 'ES_SURVEY_answers';
      
	  
		if ( NULL == $id ) {
			$id = $this->id;
		}


		$sql     = $wpdb->prepare(
			"SELECT * FROM {$table_questions} WHERE ES_SURVEY_id = %s AND question_no= '5' ORDER BY question_no ASC", $id
		);
		$results = $wpdb->get_results( $sql );

		$elements = array();

		// Running all elements which have been found
		if ( is_array( $results ) && count( $results ) > 0 ):
			foreach ( $results AS $result ):
				if ( isset($result) && isset($result->question) && $result->question!='' && class_exists( 'ES_SURVEY_QuestionElement' ) ):
					$class       = 'ES_SURVEY_QuestionElement';
					$object      = new $class( $result->id );
					$elements[ ] = $object; // Adding element

					//if ( $object->splits_form ):
						$this->splitter_count ++;
					//endif;
				else:
					// If class do not exist -> Put in Error message here
				endif;
			endforeach;
		else:
		endif;
		return $elements;
	}

    public function get_step_count() {
        return (int) $this->splitter_count;
    }
}