<?php
/**
 * Class for create list listing
 *
 * @package wp-es survey-master
 * @author InstaProduct
 * @link http://insta-product.com/
 */

if ( ! class_exists( 'ES_SURVEY_List_Boxes' )) 
{
  class ES_SURVEY_List_Boxes extends ES_SURVEY_List
  {
    public static $fields =  array(
		array(
			'id' => 'step-counter',
			'label' => 'Step Counter',
			'type' => 'button',
			'discription' => '',
			'default'  => "true",
		),
		array(
			'id' => 'previous-button',
			'label' => 'Previous Button',
			'type' => 'button',
			'discription' => '',
			'default'  => "true",
		),
		array(
			'id' => 'question-heading-size',
			'label' => 'Question Heading Size',
			'type' => 'dropdown',
			'discription' => '',
			'default'  => 35,
			'values' =>  array(''=>'Select Size',12=>'12px', 13=>'13px', 14=>'14px', 15=>'15px', 16=>'16px', 17=>'17px', 18=>'18px', 19=>'19px', 20=>'20px', 21=>'21px', 22=>'22px', 23=>'23px', 24=>'24px', 25=>'25px', 26=>'26px', 27=>'27px', 28=>'28px', 29=>'29px', 30=>'30px', 31=>'31px', 
			32=>'32px', 33=>'33px', 34=>'34px', 35=>'35px', 36=>'36px', 37=>'37px', 38=>'38px', 39=>'39px', 40=>'40px' ),
		),
		array(
			'id' => 'question-heading-color',
			'label' => 'Question Heading Color',
			'type' => 'color',
			'discription' => '',
			'default'  => '#D8028F',			
		),
		array(
			'id' => 'question-sub-heading-size',
			'label' => 'Question Sub Heading Size',
			'type' => 'dropdown',
			'discription' => '',
			'default'  => 22,
			'values' =>  array(''=>'Select Size',12=>'12px', 13=>'13px', 14=>'14px', 15=>'15px', 16=>'16px', 17=>'17px', 18=>'18px', 19=>'19px', 20=>'20px', 21=>'21px', 22=>'22px', 23=>'23px', 24=>'24px', 25=>'25px', 26=>'26px', 27=>'27px', 28=>'28px', 29=>'29px', 30=>'30px', 31=>'31px', 
			32=>'32px', 33=>'33px', 34=>'34px', 35=>'35px', 36=>'36px', 37=>'37px', 38=>'38px', 39=>'39px', 40=>'40px' ),
		),
		array(
			'id' => 'question-sub-heading-color',
			'label' => 'Question Sub Heading Color',
			'type' => 'color',
			'discription' => '',
			'default'  => '#373a3c',			
		),
		array(
			'id' => 'answer-heading-size',
			'label' => 'Answer Heading Size',
			'type' => 'dropdown',
			'discription' => '',
			'default'  => 16,
			'values' =>  array(''=>'Select Size',12=>'12px', 13=>'13px', 14=>'14px', 15=>'15px', 16=>'16px', 17=>'17px', 18=>'18px', 19=>'19px', 20=>'20px', 21=>'21px', 22=>'22px', 23=>'23px', 24=>'24px', 25=>'25px', 26=>'26px', 27=>'27px', 28=>'28px', 29=>'29px', 30=>'30px', 31=>'31px', 
			32=>'32px', 33=>'33px', 34=>'34px', 35=>'35px', 36=>'36px', 37=>'37px', 38=>'38px', 39=>'39px', 40=>'40px' ),
		),
		array(
			'id' => 'answer-heading-color',
			'label' => 'Answer Heading Color',
			'type' => 'color',
			'discription' => '',
			'default'  => '#333333',			
		),
		array(
			'id' => 'answer-sub-heading-size',
			'label' => 'Answer Sub Heading Size',
			'type' => 'dropdown',
			'discription' => '',
			'default'  => 12,
			'values' =>  array(''=>'Select Size',10=>'10px', 11=>'11px', 12=>'12px', 13=>'13px', 14=>'14px', 15=>'15px', 16=>'16px', 17=>'17px', 18=>'18px', 19=>'19px', 20=>'20px', 21=>'21px', 22=>'22px', 23=>'23px', 24=>'24px', 25=>'25px', 26=>'26px', 27=>'27px', 28=>'28px', 29=>'29px', 30=>'30px', 31=>'31px', 
			32=>'32px', 33=>'33px', 34=>'34px', 35=>'35px', 36=>'36px', 37=>'37px', 38=>'38px', 39=>'39px', 40=>'40px' ),
		),
		array(
			'id' => 'answer-sub-heading-color',
			'label' => 'Answer Sub Heading Color',
			'type' => 'color',
			'discription' => '',
			'default'  => '#373a3c',			
		),		
	); 
	 
    protected function _getData()
    {
      $page     = $this->_page;
      $per_page = $this->_perPage;
      $args = array(
          'orderby'        => 'post_date',
          'order'          => 'DESC',
          'post_type'      => 'smart-survey',
          'post_status'    => array('publish','draft'),
          'posts_per_page' => $per_page,
          'paged'          => $page
      );
      $query = new WP_Query;
      $this->_result = $query->query( $args );
      $this->_query  = $query;
      $this->_total  = $query->found_posts;
      $this->_total_page = $this->_getTotalPage();
      return $this->_result;
    }

    //}}
    //{{ _getItemAction

    /**
     * Get item action
     *
     * @param  object $item
     * @param  int    $index
     * @return string
     */
    protected function _getItemAction( $item, $index )
    {
      $itemId  = $this->_getListItemId( $item );
      $result  =
        '<div class="col-sm-6">' .
          '<div class="smart-survey-item-action smart-survey-clear">' .
			( ($item->post_status == 'publish' )?'<div class="col-sm-10 smart-survey-item-main"><span style="margin:15px 0 0 0;" class="text-left"><input type="text" value="[ecommerce_smart_survey id='.$item->ID.']" size=20 readonly /></span>
			'.(ES_SURVEY_EMBED_ENABLE?'<span class="text-left"><a type="button" class="smart-survey-btn smart-survey-btn-success smart-survey-btn-sm _add-page" data-toggle="modal" data-target="#embedded_code_'.$item->ID.'"><i class="smart-survey-fa smart-survey-fa-code"></i>Embed</a><div id="embedded_code_'.$item->ID.'" class="modal fade" role="dialog">
			  <div class="modal-dialog">
			
				<!-- Modal content-->
				<div class="modal-content">
				  <div class="modal-header">
					<button type="button" class="close" data-dismiss="modal">&times;</button>
					<h4 class="modal-title">Embed Code</h4>
				  </div>
				  <div class="modal-body">
					<p><textarea id="text_to_copy_'.$item->ID.'" style="width:100%; height:100px;"><div id="ES_SURVEY_'.$item->ID.'"></div>
<script type="text/javascript">
var ess_d="'.$item->ID.', ess_site="'.get_option('siteurl').'",ssem=window.addEventListener?"addEventListener":"attachEvent",ssel=window[ssem],ssmes="attachEvent"==ssem?"onmessage":"message";ssel(ssmes,function(s){if(s.data===parseInt(s.data)){var e=document.getElementById("ES_SURVEY_"+ess_d+"_frame");0==s.data||(e.height=s.data+30+"px")}},!1);
</script>
<script type = "text/javascript" src = "'.ES_SURVEY_BASE_URL .'assets/js/embed.js"></script></textarea></p>
					<button class="smart-survey-btn smart-survey-btn-success smart-survey-btn-sm _add-page" data-clipboard-target="text_to_copy_'.$item->ID.'" id="copy_button_'.$item->ID.'" onclick="jQuery(\'#text_to_copy_'.$item->ID.'\').select()" title="Copy to clipboard." value="Copy to clipboard">Copy to clipboard</button>
				  </div>
				  <div class="modal-footer">
					<button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
				  </div>
				</div>
			
			  </div>
			</div></span>':'').'
			</div>':'').
		    '<div class="col-sm-2 smart-survey-item-nav smart-survey-fademenu">' .
              '<div class="smart-survey-fademenu-inner">' .
                '<div class="smart-survey-nav-label smart-survey-fademenu-button">' .
                  '<a class="smart-survey-menu-link" href="#"><i class="smart-survey-fa smart-survey-fa-bars"></i></a>' .
                '</div>' .
                '<ul class="smart-survey-submenu smart-survey-fademenu-content">' . $this->_get_view_url($item, $index).
                  '<li>' .
                    '<a href="' . $this->_getLinkEdit( $item ) . '" class="smart-survey-btn smart-survey-btn-xs smart-survey-btn-success">' .
                      '<i class="smart-survey-fa smart-survey-fa-pencil"></i>' .
                       __( 'Edit ES Survey', ES_SURVEY_SLUG ) .
                    '</a>' .
                  '</li>' .
                  '<li>' .
                    '<a href="#" class="smart-survey-btn smart-survey-btn-xs smart-survey-btn-danger smart-survey-item-listing-delete" data-id="' . $itemId . '">' .
                      '<i class="smart-survey-fa smart-survey-fa-trash"></i>' .
                      __( 'Delete ES Survey', ES_SURVEY_SLUG ) .
                    '</a>' .
                  '</li>' .
                '</ul>' .
              '</div>' .
            '</div>' .
          '</div>' .
        '</div>';
      return $result;
    }

    //}}
    //{{ _getLinkEdit

    /**
     * Get link edit
     *
     * @param  object $item
     * @return string
     */
    protected function _getLinkEdit( $item )
    {
      $link = admin_url() . 'admin.php?page=' . ES_SURVEY_PAGENAME . '&action=edit&id=' . $item->ID;
      return $link;
    }

    //}}
    //{{ _getPaginationLink

    /**
     * Get pagination link
     *
     * @param  int $page
     * @return string
     */
    protected function _getPaginationLink( $page )
    {
      $link = admin_url() . 'admin.php?page=' . ES_SURVEY_PAGENAME . '&paged=' . $page;
      return $link;
    }

  } //End Class

}