<?php
if ( ! class_exists( 'ES_SURVEY_Viewer' ))
{
  /**
   * Viewer class
   *
   * @package wp-es survey-master
   * @author InstaProduct
   * @link http://insta-product.com/
   */

  class ES_SURVEY_Viewer
  {
    //{{ dashboard

    /**
     * Dashboard viewer
    l *
     * @return void
     */
	protected $question_answer_data = array();
	 
    public function dashboard()
    {
      $this->pageId = ES_SURVEY_PAGENAME;

      //Edit es survey
      if ( isset( $_GET['action'] ) && $_GET['action'] == 'edit' )
      {
        if ( empty( $_GET['id'] )) {
          wp_die( __('You attempted to edit an item that doesn&#8217;t exist. Perhaps it was deleted?', ES_SURVEY_SLUG ) );
        }
        $id = absint( $_GET['id'] );
        if ( ! $list = get_post( $id ) ) {
          wp_die( __('You attempted to edit an item that doesn&#8217;t exist. Perhaps it was deleted?', ES_SURVEY_SLUG ) );
        }
        $this->_manageListing( $list );
      }
      //Widget dashboard
      else {
        $this->view( 'admin/dashboard' );
      }
    }

    //}}
    //{{ create

    /**
     * Create widget viewer
     *
     * @return void
     */
    public function create()
    {
      $this->pageId = ES_SURVEY_PAGENAME . '-create';
			$this->_manageListing();
    }

    //}}
    //{{ _manageListing

    /**
     * Manage listing
     *
     * @param object $list
     * @return void
     */
    protected function _manageListing( $list = false )
    {
      //
      //Including script
      wp_enqueue_media();
      wp_enqueue_script('wp-color-picker');
      wp_enqueue_style('wp-color-picker');

      $listId = 0;
      if ( $list ) {
        $listId = $list->ID;
      }
      $formAction = admin_url( 'admin-ajax.php' ) . '?doajax=1&ecommerce_smart_survey=1&action=update_listing';
      if ( $list )
      {
        $pageTitle   = __( 'Edit ES Survey', ES_SURVEY_SLUG );
        $submitLabel = __( 'Save Change', ES_SURVEY_SLUG );
        $submitId    = 'es-survey-edit-listing';
        $formId      = 'es-survey-form-listing-update';
        $submitIcon  = 'floppy-o';
        $pageId      = ES_SURVEY_PAGENAME;
		//Set Question Data
		$this->set_questions_data(  $listId );

      } else
      {
        $pageTitle   = __( 'Add ES Survey', ES_SURVEY_SLUG );
        $submitLabel = __( 'Add ES Survey', ES_SURVEY_SLUG );
        $submitId    = 'es-survey-add-listing';
        $formId      = 'es-survey-form-listing-add';
        $submitIcon  = 'plus-circle';
        $pageId      = ES_SURVEY_PAGENAME . '-create';
      }
      $this->pageId      = $pageId;
      $this->pageTitle   = $pageTitle;
      $this->submitLabel = $submitLabel;
      $this->submitId    = $submitId;
      $this->formId      = $formId;
      $this->submitIcon  = $submitIcon;
      $this->list         = $list;
      $this->listId       = $listId;
      $this->formAction  = $formAction;
	  
      $tab = 'smart-survey-section-general';
      if ( ! empty( $_REQUEST['tab'] )) {
        $tab = $_REQUEST['tab'];
      }
      $this->tab = $tab;

      //Render view
      $this->view( 'admin/main/main' );
    }

    //}}
    //{{ setting

    /**
     * Setting page viewer
     *
     * @return void
     */
    public function setting()
    {
      $this->pageId = ES_SURVEY_PAGENAME . '-setting';
      //Render view
      $this->view( 'admin/setting' );
    }

    //}}
    //{{ view

    /**
     * Get admin view file
     *
     * @param string $filename
     * @return void
     */
    public function view( $filename )
    {
      $path  = ES_SURVEY_VIEW;
      $path .= strtolower( $filename ) . '.php';
      if ( file_exists( $path )) {
        include( $path );
      }
    }
	public function get_question_ans_key_data( $key, $question_no, $answer_no =''  )
	{
		//Find Answers
		if( $question_no !="" && $answer_no != "" &&  isset( $this->question_answer_data['question'][$question_no]['answers'][$answer_no]['data']->{$key} ) )			
		{
			return $this->question_answer_data['question'][$question_no]['answers'][$answer_no]['data']->{$key};
		}
		else if( $question_no !="" &&   isset( $this->question_answer_data['question'][$question_no]['data']->{$key} ) )			
		{
			return $this->question_answer_data['question'][$question_no]['data']->{$key};
		}
		return '';
	}
	public function display_question( $question_no =1  )
	{?>
        <div class="col-sm-12">
      <strong>Question:</strong>
      <input type="text" class="smart-survey-form-control" name="question<?php echo $question_no; ?>-question" 
      value="<?php echo $this->get_question_ans_key_data( 'question', $question_no)?>" placeholder="Initial Question">
      <strong>Sub Headline: <small class="smart-survey-pull-right">(optional)</small></strong>
      <input type="text" class="smart-survey-form-control" name="question<?php echo $question_no; ?>-subheadline" value="<?php echo $this->get_question_ans_key_data( 'sub_heading', $question_no)?>" placeholder="Sub Headline for Question (optional)">
      <strong>Answers Display:</strong>
      <?php $display = $this->get_question_ans_key_data( 'display', $question_no) ;
	  $display = $display?$display:'vertical';
	  ?>
      <select class="smart-survey-form-control question-display" name="question<?php echo $question_no; ?>-display" data-owner="step2">
        <option value="horizontal" <?php echo ($display=="horizontal")?'selected="selected"':''?> >
          Horizontal
        </option>
        <option value="vertical" <?php echo ($display=="vertical")?'selected="selected"':''?> >
          Vertical
        </option>
      </select>
    </div>
    <?php
	}
	public function display_answer( $question_no =1  , $answer_no =1, $type = '' )
    {?>
    <div class="col-sm-6">
          <div class="smat-survey-answerBox">
            <h5 data-toggle="collapse" data-target="#question<?php echo $question_no; ?>_answer<?php echo $answer_no; ?>" aria-expanded="false">Answer #<?php echo $answer_no; ?></h5>
            <div class="collapse in smat-survey-answerInner" id="question<?php echo $question_no; ?>_answer<?php echo $answer_no; ?>" data-owner="question<?php echo $question_no; ?>-answer1">
              <strong>Answer Text: <small class="smart-survey-pull-right">(leave blank to hide answer)</small></strong>
              <input type="text" class="smart-survey-form-control answer-text" name="question<?php echo $question_no; ?>-answer<?php echo $answer_no; ?>-text" value="<?php echo $this->get_question_ans_key_data( 'answer', $question_no, $answer_no);?>" placeholder="Answer Text (leave blank to hide)">
              <strong>Sub Text: <small class="smart-survey-pull-right">(optional)</small></strong>
              <input type="text" class="smart-survey-form-control" name="question<?php echo $question_no; ?>-answer<?php echo $answer_no; ?>-subtext" value="<?php echo $this->get_question_ans_key_data( 'sub_text', $question_no, $answer_no);?>">
              <div class="hide">
                <strong>Image URL: <small class="smart-survey-pull-right">(optional)</small></strong>
                <input type="text" class="smart-survey-form-control" name="question<?php echo $question_no; ?>-answer<?php echo $answer_no; ?>-image" value="<?php echo $this->get_question_ans_key_data( 'image_url', $question_no, $answer_no);?>">
              </div>
              <?php $this->display_image(  $question_no,  $answer_no );?>
            <?php if( $type == 'bucket' ) : ?>              
              <br>
              <strong>Redirect URL: <small class="smart-survey-pull-right">(redirects to url)</small></strong>
              <input type="text" class="smart-survey-form-control question<?php echo $question_no; ?>-redirect-url" name="question<?php echo $question_no; ?>-answer<?php echo $answer_no; ?>-redirectURL" aria-describedby="basic-addon1" value="<?php echo $this->get_question_ans_key_data( 'redirect_url', $question_no, $answer_no);?>">
              <strong>Connect to Survey: <small class="smart-survey-pull-right">(redirects to survey)</small></strong>
              <select class="smart-survey-form-control question<?php echo $question_no; ?>-redirect-survey" name="question<?php echo $question_no; ?>-answer<?php echo $answer_no; ?>-connectedSurvey">
              <option value="">Select Survey or Add Redirect URL</option>
              <?php 
			  $survey_connect_id = $this->get_question_ans_key_data( 'survey_connect_id', $question_no, $answer_no);
			  $all_survey = $this->get_all_survey();
				  if( !empty ( $all_survey  ) ):?>
			  	<?php	foreach( $all_survey as $s_key => $s_val  ) :?>
						<?php if( $this->listId != $s_key ) : ?>
                        <option value="<?php echo $s_key?>" <?php if($s_key == $survey_connect_id ) :?>selected="selected" <?php endif;?>><?php echo $s_val;?></option>				<?php endif; ?> 	
			
				<?php endforeach; ?> 	
				<?php endif; ?> 	
                </select>
			<?php endif; ?> 	
            </div>
          </div>
        </div>
    <?php      
    }
	
	public function set_questions_data( $id = NULL ) {

		global  $wpdb;
		
		$table_questions       = $wpdb->prefix . 'ES_SURVEY_questions';
		$table_answers         = $wpdb->prefix . 'ES_SURVEY_answers';
	   
		if ( NULL == $id ) {
			return FALSE;
		}
	
		if ( '' == $id ) {
			return FALSE;
		}
	
		$sql     = $wpdb->prepare(
			"SELECT * FROM {$table_questions} WHERE ES_SURVEY_id = %s", $id
		);
		$results = $wpdb->get_results( $sql );

		if ( is_array( $results ) ):
			foreach ( $results AS $result ):
				$this->question_answer_data['question'][$result->question_no]['data'] = $result;
				$question_id = $result->id;
				$question_no = $result->question_no;
				
				$sql_answers     = $wpdb->prepare(
					"SELECT * FROM {$table_answers} WHERE question_id = %s", $question_id
				);
				$results_answers = $wpdb->get_results( $sql_answers );
		
				if ( is_array( $results_answers ) ):
					foreach ( $results_answers AS $result_ans ):
						$this->question_answer_data['question'][$question_no]['answers'][$result_ans->answer_no]['data'] = $result_ans;
					endforeach;
				endif;
			endforeach;
		endif;		
		//echo "<pre>"; print_r($this->question_answer_data);
		//return $question_answer_data;
	}
	
	public function display_image(  $question_no =1  , $answer_no =1 )
	{
		$image_attachment_src = '';
		$image_attachment_id = $this->get_question_ans_key_data( 'image_attachment_id', $question_no, $answer_no);
		if( $image_attachment_id )
		{
			$image_attachment_image = wp_get_attachment_image_src( $image_attachment_id );
			if( isset($image_attachment_image[0]) )
			{
				$image_attachment_src = $image_attachment_image[0];
			}
		}
		?>
        <div>
            <input class="answer_upload_image_button button" type="button" value="<?php _e( 'Upload image' ); ?>" date-attachment_id = "0" />
            <input type='hidden' class="answer_image_attachment_id" name='question<?php echo $question_no; ?>-answer<?php echo $answer_no; ?>-image_attachment_id' value='<?php echo $image_attachment_id;?>'>
            <div class='answer_image-preview-wrapper'>
                <img class='answer_image-preview' src='<?php  echo $image_attachment_src;?>'>
                <input type="button" name="remove_image_upload" value="<?php esc_html_e( 'Remove Image', 'mytheme' ); ?>" class="button answer_remove_image_button">
            </div>
        </div>
        <?php
	}
	
	public function get_all_survey()
	{
		global $wpdb;
		static $all_survey = array();
		if( !empty ($all_survey) ) return $all_survey;
		
		$table = $wpdb->prefix. 'posts';
		
		$sql =  "SELECT * FROM {$table} WHERE post_type ='smart-survey' AND  post_status = 'publish' ORDER BY post_title ASC ";
		$result = $wpdb->get_results( $sql );
		
		if(  $result ) {
			foreach( $result as $row )
			{
				$all_survey[$row->ID] = $row->post_title;
			}
		}
		return $all_survey;	  
	}
    //}}
  }
}
