<?php
/**
 * Admin header view
 *
 * @package wp-es survey-master
 * @author InstaProduct
 * @link http://insta-product.com/
 */

$pageDash    = ES_SURVEY_PAGENAME;
$pageCreate  = ES_SURVEY_PAGENAME . '-create';
$pageStyle   = ES_SURVEY_PAGENAME . '-style';
$pageSetting = ES_SURVEY_PAGENAME . '-setting';
$page        = $this->pageId;
$struct = array(
     $pageDash => array(
         'title'     => __( 'All ES Surveys', ES_SURVEY_SLUG ),
         'info'      => __( 'Manage all ES Surveys', ES_SURVEY_SLUG ),
         'icon'      => 'feedback'
     ),
     $pageCreate => array(
         'title'     => __( 'Create ES Survey', ES_SURVEY_SLUG ),
         'info'      => __( 'Create new ES Survey', ES_SURVEY_SLUG ),
         'icon'      => 'plus-alt'
     ),
    $pageSetting => array(
         'title'     => __( 'Settings', ES_SURVEY_SLUG ),
         'info'      => __( 'Manage plugin settings', ES_SURVEY_SLUG ),
         'icon'      => 'admin-generic'
     )
 );
?>
<div class="smart-survey-top">
    <div class="smart-survey-header">
        <div class="smart-survey-page-title">
            <h4>
                <!--<i class="dashicons-before dashicons-chart-pie"></i>-->
                <span>
                    <?php
                    $title = ES_SURVEY_TITLE;
                    $words = explode( ' ', $title );
                    $first = array_shift( $words );
                    $title = implode( ' ', $words );
                    ?>
                    <strong><span><?php echo $first; ?></span> <?php echo $title; ?></strong>
                    <em> <?php echo ES_SURVEY_DESC; ?></em>
                </span>
            </h4>
        </div>
    </div>
    <div class="smart-survey-nav">
        <ul>
        <?php
        $title = isset( $this->title ) ? $this->title : '';
        $info  = isset( $this->info ) ? $this->info : '';
        $icon  = isset( $this->icon ) ? $this->icon : '';
        if ( array_key_exists( $page, $struct ))
        {
            if ( empty( $title )) {
                $title = $struct[$page]['title'];
            }
            if ( empty( $info )) {
                $info  = $struct[$page]['info'];
            }
            if ( empty( $icon )) {
                $icon  = $struct[$page]['icon'];
            }
        }
        foreach( $struct as $name => $data )
        {
            $active = '';
            if ( $page == $name ) {
                $active = ' class="active"';
            }
            echo '<li' . $active . '>' .
                    '<a href="admin.php?page=' . $name . '">' .
                        '<i class="dashicons-before dashicons-' . $data['icon'] . '"></i>' .
                        $data['title'] .
                    '</a>' .
                '</li>';
        }
        ?>
        </ul>
    </div>
    <div class="smart-survey-page-info">
        <i class="dashicons-before dashicons-<?php echo $icon; ?>"></i>
        <div class="smart-survey-info">
            <h3><?php echo $title; ?></h3>
            <h4><?php echo $info; ?></h4>
        </div>
    </div>
</div>
