<?php
/**
 * Admin content general view
 *
 * @package wp-es survey-master
 * @author InstaProduct
 * @link http://insta-product.com/
 */
$list = $this->list;  
?>
<div id="smart-survey-section-general" class="smart-survey-tab-content">
  <div class="smart-survey-tab-inner">

    <div class="smart-survey-title-content smart-survey-hide">
      <i class="smart-survey-fa smart-survey-fa-cogs"></i>
      <div class="smart-survey-title-text">
        <?php if ( $list ):?>
        <h3><?php _e( 'Update ES Survey', ES_SURVEY_SLUG ); ?></h3>
        <p><?php _e( 'Basic settings and info of your ES Survey', ES_SURVEY_SLUG ); ?>
        <?php if(is_object($list) && $list->post_status == 'publish')
	  	{?>
        &nbsp;<a target="_blank" href="<?php echo get_permalink( $list )?>"><?php _e( 'View ES Survey', ES_SURVEY_SLUG ); ?></a>
        <?php } ?>
        </p>
		<?php else:?>
        <h3><?php _e( 'Create ES Survey', ES_SURVEY_SLUG ); ?></h3>
        <p><?php _e( 'Basic settings and info of your ES Survey', ES_SURVEY_SLUG ); ?></p>
        <?php endif;?>        
      </div>
    </div>
	<?php 
	if ( $list ):
		  $this->view( 'admin/main/questions' );
	else:
	?>
    <!-- start: .smart-survey-fields -->
    <div class="smart-survey-fields">

      <?php
      /*
       * Name
       */
      ?>
      <!-- start: .smart-survey-field-row -->
      <div class="smart-survey-field-row smart-survey-field-x smart-survey-help-abs">
        <div class="smart-survey-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-listing-name"><?php _e( 'Survey Name', ES_SURVEY_SLUG ); ?></label>
        </div>

        <!-- start: .smart-survey-field -->
        <div class="smart-survey-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $name = '';
          if ( $this->list ) {
            $name = stripslashes( $this->list->post_title );
          }
          ?>
          <input type="text" id="input-list-name" class="smart-survey-input smart-survey-input-full smart-survey-input-v-lg" name="list_name" value="<?php echo $name; ?>">

          <div class="smart-survey-help">
            <a class="smart-survey-btn-help smart-survey-btn smart-survey-btn-default" href="#"><i class="smart-survey-fa smart-survey-fa-question"></i></a>
            <div class="smart-survey-help-content smart-survey-hide"><?php _e( 'Enter Survey Name.', ES_SURVEY_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .smart-survey-field -->
      </div>
      
      <?php
      /*
       * Status
       */
      ?>
      <!-- start: .smart-survey-field-row -->
      <div class="smart-survey-field-row smart-survey-field-x">
        <div class="smart-survey-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-status"><?php _e( 'Status', ES_SURVEY_SLUG ); ?></label>
        </div>

        <!-- start: .smart-survey-field -->
        <div class="smart-survey-field col-lg-9 col-md-8 col-sm-12">
          <div class="smart-survey-onoff">
            <?php
            $val  = 'true';
            if ( $this->list && $this->list->post_status == 'draft' ) {
                $val = 'false';
            }
            if ( $val == 'false' ) {
                $clon  = '';
                $cloff = ' active';
            } else {
                $clon  = ' active';
                $cloff = '';
            }
            ?>
            <div class="smart-survey-btn-group">
              <button data-value="true" class="smart-survey-btn-onoff<?php echo $clon; ?> smart-survey-btn-on" type="button"><?php _e( 'Show', ES_SURVEY_SLUG ); ?></button>
              <button data-value="false" class="smart-survey-btn-onoff<?php echo $cloff; ?> smart-survey-btn-off" type="button"><?php _e( 'Hide', ES_SURVEY_SLUG ); ?></button>
            </div>
            <input type="hidden" class="smart-survey-onoff-value" name="status" value="<?php echo $val; ?>" />
          </div>

          <div class="smart-survey-help">
            <a class="smart-survey-btn-help smart-survey-btn smart-survey-btn-default" href="#"><i class="smart-survey-fa smart-survey-fa-question"></i></a>
            <div class="smart-survey-help-content smart-survey-hide">
              <?php _e( 'Determines the status of the listing, whether the listing will be viewable by the public or not.', ES_SURVEY_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .smart-survey-field -->
      </div>
      <!-- end: .smart-survey-field-row -->
      
      <div class="smart-survey-field-row smart-survey-field-x smart-survey-help-abs">
        <div class="smart-survey-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-survey-description">Survey Description</label>
        </div>

        <!-- start: .smart-survey-field -->
        <div class="smart-survey-field col-lg-9 col-md-8 col-sm-12">
                                      <textarea id="survey-description" name="survey-description" cols="80" rows="8"></textarea>           <div class="smart-survey-help">
            <a class="smart-survey-btn-help smart-survey-btn smart-survey-btn-default" href="#"><i class="smart-survey-fa smart-survey-fa-question"></i></a>
            <div class="smart-survey-help-content smart-survey-hide">Enter Survey Description            </div>
          </div>
                      </div>
        <!-- end: .smart-survey-field -->
 </div>
 
	  <?php
	  //General
	 // $this->view( 'admin/main/content-fields' );
	  ?>	
    </div>
    <!-- end: .smart-survey-fields -->
    <?php endif;?>
  </div>
</div>
