<?php
/**
 * Admin setting view
 *
 * @package wp-es survey-master
 * @author InstaProduct
 * @link http://insta-product.com/
 */
?>
<div id="smart-survey-setting" class="wrap smart-survey-wrap smart-survey-admin">
  <div class="smart-survey-inner">

    <?php
    $this->view( 'admin/general/header' );
    ?>

    <div class="smart-survey-main">
      <div class="smart-survey-main-info"></div>

      <div class="smart-survey-primary">
        <div class="smart-survey-manage-wrap">
          <?php
          $formAction = admin_url( 'admin-ajax.php' ) . '?doajax=1&ecommerce_smart_survey=1&action=setting';
          ?>
          <form id="es-survey-form-setting" class="smart-survey-form-container smart-survey-form" method="post" action="<?php echo $formAction; ?>" enctype="multipart/form-data">

            <div class="container-fluid container">
              <div class="mb40">

                <h3 class="smart-survey-field-title mb20 py10">
                  <?php _e( 'ES Survey Permalink', ES_SURVEY_SLUG ); ?>
                </h3>
                <p><?php _e( 'Set the base path permalink for all your ES Survey page:', ES_SURVEY_SLUG ); ?></p>

                <!-- start: .fields -->
                <div class="fields">

                  <!-- start: .smart-survey-field-row -->
                  <div class="smart-survey-field-row smart-survey-field-x">
                    <div class="smart-survey-form-label col-lg-2 col-md-3 col-sm-4">
                      <label for="input-result-base-path"><?php _e( 'ES Survey Page Base Path', ES_SURVEY_SLUG ); ?></label>
                    </div>
                    <div class="smart-survey-field col-lg-6 col-md-8 col-sm-8">
                      <?php
                      $resultPath = get_option( '__ES_SURVEY_base_path', 'smart-survey' );
                      ?>
                      <input type="text" id="input-result-base-path" class="smart-survey-input smart-survey-input-full" name="result_base_path" value="<?php echo $resultPath; ?>">
                    </div>
                  </div>
                  <!-- start: .smart-survey-field-row -->
                </div>

              </div>
              <!-- end: .fields -->

              <div class="smart-survey-form-footer">
                <div class="row">
                  <div class="col-md-6">
                    <div class="smart-survey-bottom-submit">
                      <button type="submit" class="smart-survey-form-submit smart-survey-btn smart-survey-btn-secondary smart-survey-btn-lg" id="do-save-setting" name="save_setting">
                        <i class="smart-survey-fa smart-survey-fa-floppy-o"></i>
                        <strong><?php _e( 'Save Change', ES_SURVEY_SLUG ); ?></strong>
                      </button>
                    </div>
                  </div>
                  <div class="col-md-6">
                  </div>
                </div>

              </div>

            </div>
          </form>
        </div>
      </div>

    </div>

  </div>

</div>
